from setuptools import setup
from codecs import open
from os import path
package_name = "TDbear"
root_dir = path.abspath(path.dirname(__file__))


def _requirements():
    return [name.rstrip() for name in open(path.join(root_dir, "requirements.txt")).readlines()]


with open("README.md", encoding="utf-8") as f:
    long_description = f.read()

setup(
    name=package_name,
    version="0.9.2",
    description="Modules for Temporal Dominance Method",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://www.comp.sd.tmu.ac.jp/hci/tdbear/",
    author="TDbear",
    license="MIT",
    keywords="TD TDbear",
    packages=[package_name],
    install_requires=_requirements(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "Topic :: Scientific/Engineering :: Information Analysis",
    ],
)
